Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.datacache
Class ClearableScheduler

    java.lang.Object
      org.apache.openjpa.datacache.ClearableScheduler

All Implemented Interfaces:
  Runnable

    public class ClearableScheduler

extends Object
implements Runnable

Cron-style clearable eviction. Understands schedules based on cron format:

- `minute hour mday month wday`
- `+minute`
For example: `15,30 6,19 2,10 1 2` Would run at 15 and 30 past the 6AM and 7PM, on the 2nd and 10th of January when its a Monday.

Constructor Summary
`ClearableScheduler(OpenJPAConfiguration conf)`

Method Summary
`protected void` | `evict(Clearable cache)`
`int` | `getInterval()` The interval time in minutes between scheduler checks.
`void` | `removeFromSchedule(Clearable clearable)` Remove the given Clearable from scheduling.
`void` | `run()`
`void` | `scheduleEviction(Clearable clearable, String times)` Schedule the given Clearable for clear to be called.
`void` | `setInterval(int interval)` The interval time in minutes between scheduler checks.
`void` | `stop()` Stop the associated thread if there and stop the current runnable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClearableScheduler

    public ClearableScheduler(OpenJPAConfiguration conf)

Method Detail

### getInterval

    public int getInterval()

  The interval time in minutes between scheduler checks. Defaults to 1.

### setInterval

    public void setInterval(int interval)

  The interval time in minutes between scheduler checks. Defaults to 1.

### stop

    public void stop()

  Stop the associated thread if there and stop the current runnable.

### scheduleEviction

    public void scheduleEviction(Clearable clearable,
                                 String times)

  Schedule the given Clearable for clear to be called. Starts the scheduling thread if not started.

### removeFromSchedule

    public void removeFromSchedule(Clearable clearable)

  Remove the given Clearable from scheduling.

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### evict

    protected void evict(Clearable cache)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.